- Qt 6.9
- Qt GRPC
- C++ Classes
- QGrpcCallReply
- Qt 6.9.2 Reference Documentation

# QGrpcCallReply Class

The QGrpcCallReply class provides access in handling unary RPCs. More...

Header: | `#include <QGrpcCallReply>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Grpc)` `target_link_libraries(mytarget PRIVATE Qt6::Grpc)`
Since: | Qt 6.5
Inherits: | QGrpcOperation

- List of all members, including inherited members

## Public Functions

virtual | ~QGrpcCallReply() override

## Detailed Description

The QGrpcCallReply class provides the interface for handling unary remote procedure calls (RPCs), which is one of the four gRPC™ service methods.

For a high-level overview, refer to the Qt GRPC Client Guide.

Note: Users are responsible for managing the unique RPC handlers returned by the `Client` interface, ensuring their existence at least until the finished signal is emitted. After receiving this signal, the handler can be safely reassigned or destroyed.

## Member Function Documentation

### `[override virtual noexcept]` QGrpcCallReply::~QGrpcCallReply()

Destroys the QGrpcCallReply.